 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.SportTimeEntity;
import com.huimv.management.service.SportTimeService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 运动频次表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "运动频次表")
@RestController
@RequestMapping("management/sporttime")
public class SportTimeController {
    @Autowired
    private SportTimeService sportTimeService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = sportTimeService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		SportTimeEntity sportTime = sportTimeService.getById(id);

        return R.ok().put("sportTime", sportTime);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody SportTimeEntity sportTime){
		sportTimeService.save(sportTime);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody SportTimeEntity sportTime){
		sportTimeService.updateById(sportTime);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		sportTimeService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
